Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002135 [JEDI VCL] 00 JVCL Components minor always 2004-09-10 12:13 2005-02-03 04:33
Reporter chddv View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0002135: JvGif could render some part of a gif tranparently but should not
Description JvGif seems using the pixel color to know if a pixel is transparent instead of using the pallette number of this pixel. (In additionnal information I have copy a post of Remko Bonte clearer about the problem (date: 09/09/2004 23:37).)
Additional Information OBones wrote:

> AFAIK, the transparent property works exactly like a TImage:
> Every pixel that is the same colour as the bottom left one is transparent. If your bottom left pixel is white, then every white pixel will be considered as transpare,t.
>

The GIF format has a Transparent Color Index field that specifies what the transparent color should be.

GIF pictures work with palettes. In the example gif picture given by Chris, the palette consist out of 64 colors. The color of the palette index 10 is white ($FFFFFF). The color of the palette index 42 is also white ($FFFFFF). Furthermore the image specifies that palette index 42 should be transparent. The white area on the picture has palette index 10. There is no pixel on the picture with palette index 42.

This confuses the component somehow.

The attached optimized gif image has that problem not.

--
Remko Bonte (Team JVCL) http://jvcl.sourceforge.net [^]
Tags No tags attached.
Attached Files gif file icon logo.gif [^] (1,802 bytes) 2004-09-10 12:13

- Relationships

-  Notes
(0006359)
obones (administrator)
2005-02-03 04:33

This is now fixed in CVS. Please use file version 1.28

- Issue History
Date Modified Username Field Change
2004-09-10 12:13 chddv New Issue
2004-09-10 12:13 chddv File Added: logo.gif
2004-10-01 00:20 obones Status new => assigned
2004-10-01 00:20 obones Assigned To => obones
2005-02-03 04:33 obones Status assigned => resolved
2005-02-03 04:33 obones Fixed in Version => 3.00
2005-02-03 04:33 obones Resolution open => fixed
2005-02-03 04:33 obones Note Added: 0006359


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker